PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_cgelqs | ( | int | M,
|  | int | N,
|  | int | NRHS,
|  | PLASMA_Complex32_t * | A,
|  | int | LDA,
|  | PLASMA_desc * | descT,
|  | PLASMA_Complex32_t * | B,
|  | int | LDB
| ) |  |

PLASMA_cgelqs - Compute a minimum-norm solution min || A*X - B || using the LQ factorization A = L*Q computed by PLASMA_cgelqf.

Parameters

  [in] | M | The number of rows of the matrix A. M >= 0.
  [in] | N | The number of columns of the matrix A. N >= M >= 0.
  [in] | NRHS | The number of columns of B. NRHS >= 0.
  [in,out] | A | Details of the LQ factorization of the original matrix A as returned by PLASMA_cgelqf. Remark: If out-of-place layout translation is used, the matrix A can be considered as input, however if inplace layout translation is enabled, the content of A will be reordered for computation and restored before exiting the function.
  [in] | LDA | The leading dimension of the array A. LDA >= M.
  [in] | descT | Auxiliary factorization data, computed by PLASMA_cgelqf.
  [in,out] | B | On entry, the M-by-NRHS right hand side matrix B. On exit, the N-by-NRHS solution matrix X.
  [in] | LDB | The leading dimension of the array B. LDB >= N.

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value

See also
  PLASMA_cgelqs_Tile
  PLASMA_cgelqs_Tile_Async
  PLASMA_cgelqs
  PLASMA_dgelqs
  PLASMA_sgelqs
  PLASMA_cgelqf